PgBeam Docs
Policies

Delete a policy profile

DELETE
/v1/projects/{project_id}/policies/{policy_id}

Deletes a policy profile. Fails if agent credentials still reference it.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

policy_id*string

Unique policy profile identifier (prefixed, e.g. pol_xxx).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string/policies/string"
Empty
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}